FailedConsole Output

[INFO] 
[INFO] ------------------------< net.ess3:EssentialsX >------------------------
[INFO] Building EssentialsX 2.18.0                                       [6/12]
[INFO] --------------------------------[ jar ]---------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:3.1.0:clean (default-clean) @ EssentialsX ---
[INFO] Deleting /home/jenkins/jobs/EssentialsX/workspace/Essentials/target
[INFO] Deleting /home/jenkins/jobs/EssentialsX/workspace/Essentials (includes = [jars/**, build/**, dist/**], excludes = [])
[INFO] 
[INFO] --- git-commit-id-plugin:2.2.5:revision (default) @ EssentialsX ---
[INFO] 
[INFO] --- maven-resources-plugin:3.1.0:resources (default-resources) @ EssentialsX ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 54 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.8.0:compile (default-compile) @ EssentialsX ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 339 source files to /home/jenkins/jobs/EssentialsX/workspace/Essentials/target/classes
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/src/com/earth2me/essentials/IUser.java: Some input files use or override a deprecated API.
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/src/com/earth2me/essentials/IUser.java: Recompile with -Xlint:deprecation for details.
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/src/com/earth2me/essentials/UserData.java: Some input files use unchecked or unsafe operations.
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/src/com/earth2me/essentials/UserData.java: Recompile with -Xlint:unchecked for details.
[INFO] 
[INFO] --- maven-resources-plugin:3.1.0:testResources (default-testResources) @ EssentialsX ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /home/jenkins/jobs/EssentialsX/workspace/Essentials/src/test/resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.8.0:testCompile (default-testCompile) @ EssentialsX ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 8 source files to /home/jenkins/jobs/EssentialsX/workspace/Essentials/target/test-classes
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/test/com/earth2me/essentials/EconomyTest.java: Some input files use or override a deprecated API.
[INFO] /home/jenkins/jobs/EssentialsX/workspace/Essentials/test/com/earth2me/essentials/EconomyTest.java: Recompile with -Xlint:deprecation for details.
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR] /home/jenkins/jobs/EssentialsX/workspace/Essentials/test/com/earth2me/essentials/FakeServer.java:[916,5] method does not override or implement a method from a supertype
[INFO] 1 error
[INFO] -------------------------------------------------------------